Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 124895 - Revision number in Status labels and performance
Revision number in Status labels and performance
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
Sun All
: P3 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-08 15:43 UTC by Padraig Obriain
Modified: 2008-06-03 04:12 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Proposed patch (1.83 KB, text/plain)
2008-01-11 23:54 UTC, John Rice
Details
Proposed warning patch (3.94 KB, text/plain)
2008-01-16 17:44 UTC, John Rice
Details
main_81556_f3e5103db2a7-remove-revisionlabel-support.patch (6.44 KB, text/plain)
2008-05-29 13:15 UTC, John Rice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Padraig Obriain 2008-01-08 15:43:55 UTC
If revision number is specified in status labels the performance will be bad as getting the revision number for each
file will require exec'ing a hg call.
Comment 1 John Rice 2008-01-11 23:54:29 UTC
Created attachment 54983 [details]
Proposed patch
Comment 2 John Rice 2008-01-11 23:56:33 UTC
Ignore patch this was for bug 124887
Comment 3 John Rice 2008-01-16 17:44:33 UTC
Created attachment 55161 [details]
Proposed warning patch
Comment 4 John Rice 2008-01-16 17:49:04 UTC
The patch does not solve the problem, but at least warns the user if they add {revision} to the Mercurial Status Labels
in the Options panel that there may be a serious performance penalty when viewing Mercurial controlled Projects and
suggests they use Show Annotations or Show History instead.

We need to see if there is some way to cache the revision information in the FileStatusCache so we can reuse it and
avoid this performance penalty
Comment 5 John Rice 2008-01-16 17:56:43 UTC
IDE:-------------------------------------------------
IDE: [16/01/08 17:51] Committing started
Checking in options/MercurialPanel.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/options/MercurialPanel.java,v 
<--  MercurialPanel.java
new revision: 1.9; previous revision: 1.8
done
Checking in options/Bundle.properties;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/options/Bundle.properties,v 
<--  Bundle.properties
new revision: 1.9; previous revision: 1.8
done
Checking in MercurialAnnotator.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/MercurialAnnotator.java,v  <--
 MercurialAnnotator.java
new revision: 1.20; previous revision: 1.19
done
IDE: [16/01/08 17:51] Committing finished
IDE: [16/01/08 17:51] Diffing finished
IDE: [16/01/08 17:51] Diffing finished
Comment 6 Padraig Obriain 2008-02-25 10:41:07 UTC
Note that currently HgCommand.getLastRevision in formatAnnotation in MercurialAnnotator.java is called in AWT thread.
This should be fixed as part of this bug.
Comment 7 John Rice 2008-05-29 13:04:18 UTC
Mercurial revision applies to the repository, not to an individual file. Therefore it makes little sense to support
revision labels on individual files.

Information as to which changesets a file changed in is available via Search History.
Comment 8 John Rice 2008-05-29 13:15:18 UTC
Created attachment 62118 [details]
main_81556_f3e5103db2a7-remove-revisionlabel-support.patch
Comment 9 John Rice 2008-05-29 13:17:07 UTC
Removed revision label support.

changeset:   81867:d8c7649375ba
tag:         tip
user:        jrice@netbeans.org
date:        Thu May 29 13:13:21 2008 +0200
summary:     #124895: Remove revision label support, not useful for mercurial repos and performance hit

Comment 10 Quality Engineering 2008-06-03 04:12:52 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #234 build
Changeset: http://hg.netbeans.org/main/rev/d8c7649375ba
User: jrice@netbeans.org
Log: #124895: Remove revision label support, not useful for mercurial repos and performance hit


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo